import { TxData, DecodedCallData } from "../../types";
import { Request } from "../../utils/requestAdapter";
import { AeternityAPIBlockData } from "./types";
declare class AeternityService {
    readonly _nodeUrls: any[];
    readonly _compilerUrls: any[];
    readonly _contractBytecode: string;
    readonly _blockHeightStep: number;
    requestWrapper: Request;
    readonly requestNode: Request;
    readonly requestCompiler: Request;
    constructor(nodeUrls: string[] | string, compilerUrls: string[] | string, contractBytecode: string, blockHeightStep?: number);
    /**
     * Function provides retry mechanism if node from the array is failing to respond
     * @param apiUrls
     */
    requestApi: (apiUrls: string[]) => Request;
    getTxDataByHash(hash: string): Promise<TxData>;
    decodeContractCallData(callData: string): Promise<DecodedCallData>;
    getMicroBlock(hash: string): Promise<{
        height: number;
        time: number;
        hash: string;
    }>;
    getBlock(height: number): Promise<{
        height: number;
        time: number;
        hash: string;
    }>;
    getBlockchainHeight(): Promise<number>;
    getBlockHeightRange(startingBlock: number): Promise<Array<AeternityAPIBlockData>>;
}
export default AeternityService;
