import { KeyDataPair, MessageData, DocumentData, SealHeadData, SealIndexObject } from "../types";
declare const _default: {
    encodeSealHead: (sealHeadData: SealHeadData) => string;
    decodeSealHead: (binary: string | ArrayBuffer | Uint8Array) => SealHeadData;
    encodeSealIndexObject: (indexObjectData: SealIndexObject) => string;
    decodeSealIndexObject: (binary: string | ArrayBuffer | Uint8Array) => SealIndexObject;
    encodeDocumentData: (documentData: DocumentData) => string;
    decodeDocumentData: (binary: string | ArrayBuffer | Uint8Array) => DocumentData;
    encodeEmailData: (emailData: MessageData) => string;
    decodeEmailData: (binary: string | ArrayBuffer | Uint8Array) => MessageData;
    encodeKeyDataPair: (keyData: KeyDataPair) => string;
    decodeKeyDataPair: (binary: string | ArrayBuffer | Uint8Array) => KeyDataPair;
    breakQrCodeData: (data: ArrayBuffer, headBytesSize?: number) => {
        head: ArrayBuffer;
        tail: ArrayBuffer;
    };
    assembleQrCodeData: (head: ArrayBuffer, tail: ArrayBuffer) => ArrayBuffer;
    calculateQRCodeSignature: (accountPrivateKey: string, qrCodeHash: string) => Promise<string>;
    verifyQrCodeSignature: (publicKey: string, qrCodeSignature: string, recipientQRCodeHash: string) => Promise<boolean>;
};
export default _default;
