declare const EventEmitter: any;
import { BlockData, StatusesBatchData, StatusData, TxData, VerificationData } from "../../types";
import { AxiosError } from "axios";
export declare const TRANSACTION_RETRIEVED = "TRANSACTION_RETRIEVED";
export declare const STATUS_BATCH_VERIFIED = "STATUS_BATCH_VERIFIED";
export declare const BLOCK_DATA_RETRIEVED = "BLOCK_DATA_RETRIEVED";
declare class VerificationService extends EventEmitter {
    private _aeternityService;
    private _cloudflareService;
    constructor(cdnUrl?: string, cdnBucket?: string, aeternityNodeUrls?: string[] | string, aeternityCompilerUrls?: string[] | string, aeternityContractBytecode?: string);
    getTransaction(hash: string): Promise<TxData>;
    getBlockData(blockHeight: number): Promise<BlockData>;
    verifyStatusData(statusData: StatusData): Promise<VerificationData>;
    getStatusBatchDataForTx(txData: TxData): Promise<StatusesBatchData>;
    verifyStatusSHA256Batch(status: string, statusesBatchData: StatusesBatchData): Promise<{
        verified: boolean;
        statusPosition: number;
    }>;
    verifyStatusesMerkleTree(nodeToVerify: string, merkleTree: StatusesBatchData): Promise<{
        verified: boolean;
        statusPosition: number;
    }>;
    catchVerificationError(error: AxiosError, verificationFailureMessage: string): void;
}
export default VerificationService;
