/// <reference types="node" />
export declare const arrayBufferToBase64: (buffer: ArrayBuffer) => string;
export declare const base64ToArrayBuffer: (base64: string) => ArrayBuffer;
export declare const ensureBase64: (data: string | ArrayBuffer) => string;
export declare const ensureArrayBuffer: (data: string | ArrayBuffer) => ArrayBuffer;
export declare const ensureUint8Array: (data: string | ArrayBuffer | Uint8Array) => Uint8Array;
export declare const compressData: (binary: string | ArrayBuffer) => ArrayBuffer;
export declare const decompressData: (binary: string | ArrayBuffer) => ArrayBuffer;
export declare const arrayBufferToHex: (buffer: ArrayBuffer) => string;
export declare const encodeBase64Url: (base64: string) => string;
export declare const decodeBase64URL: (input: string) => string;
export declare const getMerkleTreeRootHash: (leaves: Buffer[]) => Promise<Buffer>;
export declare const isNode: boolean;
declare const _default: {
    compressData: (binary: string | ArrayBuffer) => ArrayBuffer;
    decompressData: (binary: string | ArrayBuffer) => ArrayBuffer;
    arrayBufferToHex: (buffer: ArrayBuffer) => string;
    arrayBufferToBase64: (buffer: ArrayBuffer) => string;
    base64ToArrayBuffer: (base64: string) => ArrayBuffer;
    ensureUint8Array: (data: string | ArrayBuffer | Uint8Array) => Uint8Array;
    ensureArrayBuffer: (data: string | ArrayBuffer) => ArrayBuffer;
    ensureBase64: (data: string | ArrayBuffer) => string;
};
export default _default;
