interface TemplateOptions {
    src: string;
    placeholderSize: number;
}
/**
 * https://www.qrcode.com/en/about/error_correction.html#:~:text=QR%20Code%20has%20error%20correction,of%20data%20QR%20Code%20size.
 */
declare type CorrectionLevels = "L" | "M" | "Q" | "H";
interface QrCodeOptions {
    width?: number;
    height?: number;
    logoSrc?: string;
    logoWidth?: number;
    logoHeight?: number;
    correctionLevel?: CorrectionLevels;
}
declare const _default: {
    putQrCodeOnChromakeyTemplate: (qrCodeImageBase64: string, templateImageBase64: string, placeholderWidth: number, placeholderHeight: number, scale?: number) => Promise<string>;
    generateQrCode: (text: string, qrCodeOptions?: QrCodeOptions, templateOptions?: TemplateOptions) => Promise<string>;
};
export default _default;
