export interface RequestConfig {
    url?: string;
    method?: string;
    headers?: unknown;
    params?: unknown;
    data?: unknown;
}
export interface Response<T = unknown> {
    data: T;
    status: number;
    statusText: string;
    headers: unknown;
    config: RequestConfig;
}
export declare type Request = (config: RequestConfig) => Promise<Response>;
declare const defaultRequest: Request;
export declare class RequestError extends Error {
    config: RequestConfig;
    response: Response;
    isRequestError: boolean;
    constructor(message: string, config: RequestConfig, response?: Response);
}
export default defaultRequest;
